*
* OpAmp macro model for a nearly ideal Op Amp
*   Input resistance = 10G Ohm
*   Voltage gain = 1E7 V/V
*   Output resistance = 0.1 Ohm
*   No internal low pass filter
*   
* connections:      non-inverting input
*                   |   inverting input
*                   |   |   Pos supply
*                   |   |   |    Neg supply
*                   |   |   |    |    output
*                   |   |   |    |    |
.SUBCKT OPAMP1	    1   2   98   99   6
*
* input resistance
RIN	1	2	10G
*
* vcvs with gain of 1E8
EGAIN	9 0	1 2	10MEG
*
* Saturation is modeled using a non-linear dependent behavioral source
B1 4  0  v = v(9) > v(98) ? v(98) : v(9) < v(99) ? v(99) : v(9)
*
* output buffer and output resistance
EBUFFER	5 0	4 0	1
ROUT	5	6	0.1
*
.ENDS
